> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bey.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Calls

> List calls managed by your agents.



## OpenAPI

````yaml /openapi.json get /v1/calls
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/calls:
    get:
      tags:
        - Calls
      summary: List Calls
      description: List calls managed by your agents.
      operationId: list_calls_v1_calls_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            exclusiveMinimum: 0
            description: Maximum number of objects to return.
            default: 10
            title: Limit
          description: Maximum number of objects to return.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination.
            title: Cursor
          description: Cursor for pagination.
      responses:
        '200':
          description: Paginated List of Calls
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HasMorePage_CallResponse_'
                  - $ref: '#/components/schemas/NoMorePage_CallResponse_'
                title: Response List Calls V1 Calls Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HasMorePage_CallResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CallResponse'
          type: array
          title: Data
          description: List of objects.
        has_more:
          type: boolean
          const: true
          title: Has More
          description: Whether there are more objects to fetch.
          default: true
        next_cursor:
          type: string
          title: Next Cursor
          description: The cursor for the next page of objects.
      type: object
      required:
        - data
        - next_cursor
      title: HasMorePage[CallResponse]
    NoMorePage_CallResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CallResponse'
          type: array
          title: Data
          description: List of objects.
        has_more:
          type: boolean
          const: false
          title: Has More
          description: Whether there are more objects to fetch.
          default: false
      type: object
      required:
        - data
      title: NoMorePage[CallResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CallResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the object in the database.
          examples:
            - 01234567-89ab-cdef-0123-456789abcdef
        agent_id:
          type: string
          title: Agent Id
          description: ID of agent managing the call.
        tags:
          additionalProperties:
            type: string
            maxLength: 100
            minLength: 1
          propertyNames:
            maxLength: 30
            minLength: 1
          type: object
          maxProperties: 10
          title: Tags
          description: Tags for the call
        started_at:
          type: string
          title: Started At
          description: Start time in ISO 8601 format.
        ended_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Ended At
          description: End time in ISO 8601 format. If null, call might still be ongoing.
      type: object
      required:
        - id
        - agent_id
        - started_at
        - ended_at
      title: CallResponse
      description: Response model for a call.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Your Beyond Presence API Key.
      in: header
      name: x-api-key

````